/* chars.ads by Dan Cook
 *
 * Prints all the character values row by row
 * using the small (variable width) font. Note
 * that all variables start with a defualt
 * value of zero unless they are tied to some
 * address (i.e. CurRow, PenRow, and PenCol).
 */

#include "ti83plus.ads"
#include "text.ads"

byte ch = 0;

void main() {
    .ClrHome();
    CurRow = PenRow = PenCol = 0;
    do {
        .TextC(ch);
        ch = ch + 1;
        if(PenCol >= 90) {
            PenCol = 0;
            PenRow = PenRow + 6;
        }
    } while(ch < 255);
}